include: 'https://gitlab.com/x4v13r/gitlab-ci/raw/master/ssh.yml'
image: docker:latest

services:
  - docker:dind

variables:
  PROJECT: project
  SERVICE_NAME: servicename
  SERVER_TEST_IMAGE: registry.gitlab.com/$PROJECT/services/$SERVICE_NAME:$CI_COMMIT_REF_NAME
  SERVER_RELEASE_TAG: $SERVICE_NAME:latest
  SERVER_RELEASE_IMAGE: registry.gitlab.com/$PROJECT/services/$SERVER_RELEASE_TAG

stages:
  - build

################
#### build image
################

build:
  stage: build
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
    - docker build -t $SERVER_RELEASE_IMAGE . --build-arg NEWRELIC_KEY=$NEWRELIC_KEY
    - docker push $SERVER_RELEASE_IMAGE
